import { createRouter, createWebHistory } from 'vue-router';
import Overview from '../views/Overview.vue';
import Nodes from '../views/Nodes.vue';
import VMs from '../views/VMs.vue';

const routes = [
  {
    path: '/',
    name: 'Overview',
    component: Overview
  },
  {
    path: '/nodes',
    name: 'Nodes',
    component: Nodes
  },
  {
    path: '/vms',
    name: 'VMs',
    component: VMs
  }
];

const router = createRouter({
  history: createWebHistory(),
  routes
});

export default router; 